SF.net SVN: gar:[25667] csw/mgar/pkg/x264/trunk
janholzh at users.sourceforge.net
janholzh at users.sourceforge.net
Mon Apr 18 13:51:29 CEST 2016
Revision: 25667
http://sourceforge.net/p/gar/code/25667
Author: janholzh
Date: 2016-04-18 11:51:28 +0000 (Mon, 18 Apr 2016)
Log Message:
-----------
x264/trunk: update to v148
Modified Paths:
--------------
csw/mgar/pkg/x264/trunk/Makefile
csw/mgar/pkg/x264/trunk/files/0001-replace-version.sh.patch
Modified: csw/mgar/pkg/x264/trunk/Makefile
===================================================================
--- csw/mgar/pkg/x264/trunk/Makefile 2016-04-16 12:50:17 UTC (rev 25666)
+++ csw/mgar/pkg/x264/trunk/Makefile 2016-04-18 11:51:28 UTC (rev 25667)
@@ -3,7 +3,7 @@
#
# So it does not get lost. With gcc4.8 you now need -fno-aggressive-loop-optimizations: http://comments.gmane.org/gmane.comp.video.ffmpeg.devel/161226
NAME = x264
-VERSION = a3ac64b
+VERSION = 64f4e24
GARTYPE = v2
DESCRIPTION =The x264 project is encoding video streams into the H.264/MPEG-4 AVC format
@@ -15,7 +15,7 @@
#MASTER_SITES = http://repo.or.cz/w/x264.git/snapshot/
#DISTFILES = c522ad1fed167d0e985e4f9dcdee042473cf74db.tar.gz
GIT_REPOS = http://git.videolan.org/git/x264.git
-GIT_TREEISH_tig.git = a3ac64b8b467eea1264c0053022893bc84b2e9a2
+GIT_TREEISH_tig.git = 64f4e24909924fceeea6e154d71b7dfbf586c7ea
# This Patch file needs to be updated on every new version!
PATCHFILES += 0001-replace-version.sh.patch
@@ -29,7 +29,7 @@
# uncomment the next line. Otherwise it is set by default to the value of MASTER_SITES
# UPSTREAM_MASTER_SITES =
-GARCOMPILER = GCC4
+GARCOMPILER = GCC5
SKIPTEST = 1
BUILD64 = 1
Modified: csw/mgar/pkg/x264/trunk/files/0001-replace-version.sh.patch
===================================================================
--- csw/mgar/pkg/x264/trunk/files/0001-replace-version.sh.patch 2016-04-16 12:50:17 UTC (rev 25666)
+++ csw/mgar/pkg/x264/trunk/files/0001-replace-version.sh.patch 2016-04-18 11:51:28 UTC (rev 25667)
@@ -1,47 +1,50 @@
-From 6d62d0bfa41a80d0afb547ec87e20ea8cc9c0740 Mon Sep 17 00:00:00 2001
+From 3dc12ac0e9186d004b0049faecb76da77468a622 Mon Sep 17 00:00:00 2001
From: Jan Holzhueter <jh at opencsw.org>
-Date: Wed, 21 Mar 2012 10:12:19 +0100
-Subject: [PATCH] replace version.sh
+Date: Mon, 18 Apr 2016 13:44:42 +0200
+Subject: [PATCH] static-version
---
- version.sh | 29 ++++++-----------------------
- 1 files changed, 6 insertions(+), 23 deletions(-)
+ version.sh | 30 +++++-------------------------
+ 1 file changed, 5 insertions(+), 25 deletions(-)
diff --git a/version.sh b/version.sh
-index 5466ef2..a1d43eb 100755
+index 178fc95..c6852c8 100755
--- a/version.sh
+++ b/version.sh
-@@ -1,24 +1,7 @@
- #!/bin/bash
--[ -n "$1" ] && cd $1
--git rev-list HEAD | sort > config.git-hash
--LOCALVER=`wc -l config.git-hash | awk '{print $1}'`
--if [ $LOCALVER \> 1 ] ; then
-- VER=`git rev-list origin/master | sort | join config.git-hash - | wc -l | awk '{print $1}'`
-- VER_DIFF=$(($LOCALVER-$VER))
-- echo "#define X264_REV $VER"
-- echo "#define X264_REV_DIFF $VER_DIFF"
-- if [ $VER_DIFF != 0 ] ; then
-- VER="$VER+$VER_DIFF"
+@@ -1,28 +1,8 @@
+ #!/bin/sh
+
+-cd "$(dirname "$0")" >/dev/null && [ -f x264.h ] || exit 1
++echo "#define X264_REV 2692"
++echo "#define X264_REV_DIFF 0"
++echo '#define X264_VERSION " r2692 64f4e24"'
++echo '#define X264_POINTVER "0.148.2692 64f4e24"'
++exit 0
+
+-api="$(grep '#define X264_BUILD' < x264.h | sed 's/^.* \([1-9][0-9]*\).*$/\1/')"
+-ver="x"
+-version=""
+-
+-if [ -d .git ] && command -v git >/dev/null 2>&1 ; then
+- localver="$(($(git rev-list HEAD | wc -l)))"
+- if [ "$localver" -gt 1 ] ; then
+- ver_diff="$(($(git rev-list origin/master..HEAD | wc -l)))"
+- ver="$((localver-ver_diff))"
+- echo "#define X264_REV $ver"
+- echo "#define X264_REV_DIFF $ver_diff"
+- if [ "$ver_diff" -ne 0 ] ; then
+- ver="$ver+$ver_diff"
+- fi
+- if git status | grep -q "modified:" ; then
+- ver="${ver}M"
+- fi
+- ver="$ver $(git rev-list -n 1 HEAD | cut -c 1-7)"
+- version=" r$ver"
- fi
-- if git status | grep -q "modified:" ; then
-- VER="${VER}M"
-- fi
-- VER="$VER $(git rev-list HEAD -n 1 | cut -c 1-7)"
-- echo "#define X264_VERSION \" r$VER\""
--else
-- echo "#define X264_VERSION \"\""
-- VER="x"
-fi
--rm -f config.git-hash
--API=`grep '#define X264_BUILD' < x264.h | sed -e 's/.* \([1-9][0-9]*\).*/\1/'`
--echo "#define X264_POINTVER \"0.$API.$VER\""
-+
-+echo "#define X264_REV 2334"
-+echo "#define X264_REV_DIFF 0"
-+echo '#define X264_VERSION " r2334 a3ac64b"'
-+echo '#define X264_POINTVER "0.133.2334 a3ac64b"'
-+exit 0
+-
+-echo "#define X264_VERSION \"$version\""
+-echo "#define X264_POINTVER \"0.$api.$ver\""
--
-1.7.9
+2.4.0
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
More information about the devel
mailing list